SoapClient::__getFunctions
SoapClient::__getLastRequestHeaders
SoapClient
PHP Manual

# SoapClient::__getLastRequest

(PHP 5 >= 5.0.1)

SoapClient::__getLastRequest — Returns last SOAP request

### Description

public string SoapClient::__getLastRequest ( void )

Returns the XML sent in the last SOAP request.

> Note: This method works only if the SoapClient object was created with the trace option set to `TRUE`.

### Parameters

This function has no parameters.

### Return Values

The last SOAP request, as an XML string.

### Examples

Example #1 SoapClient->__getLastRequest() example

`<?php
$client = SoapClient("some.wsdl", array('trace' => 1));
$result = $client->SomeFunction();
echo "REQUEST:\n" . $client->__getLastRequest() . "\n";
?>`

### See Also

- SoapClient::__getLastRequestHeaders - Returns the SOAP headers from the last request
- SoapClient::__getLastResponse - Returns last SOAP response
- SoapClient::__getLastResponseHeaders - Returns the SOAP headers from the last response

SoapClient::__getFunctions
SoapClient::__getLastRequestHeaders
SoapClient
PHP Manual